Subject: Re: [MMUSIC] Eric Rescorla's Discuss on draft-ietf-mmusic-sdp-bundle-negotiation-49: (with DISCUSS and COMMENT) - COMMENT - Introduction

From: Christer Holmberg <[email-masked]>
Date: Thu, 19 Apr 2018 12:46:47 +0000

Hi,

>>>can be used to request that specific media is only used if the "m="
>>> section describing the media is kept within a BUNDLE group.
>>>   
>>> This specification updates RFC 3264 [RFC3264], to allow assigning a
>>> zero port value to a "m=" section without meaning that the media
>>> described by the "m=" section is disabled or rejected.
>> 
>> 1. Bundle lets you have multiple SDP m= sections on a single 5-tuple
>> 2. The underling mechanism here is that you put those m= sections in the
>> same BUNDLE group
>> 3. In order to facilitate demuxing, we define a new RTP extension for
>> MID.
>> 4. It is sometimes desirable to say that an m= section should only be
>> negotiated if it can be bundled.
>> This is done with port=0 and a=bundle-only.
>>
>>> can be used to request that specific media is only used if the "m="
>>> section describing the media is kept within a BUNDLE group.
>>>   
>>> This specification updates RFC 3264 [RFC3264], to allow assigning a
>>> zero port value to a "m=" section without meaning that the media
>>> described by the "m=" section is disabled or rejected.
>> 
>> This section is kind of a laundry list. I think it would be helpful to
>> break it out conceptually. Specifically.
>> 1.
>> 2.
>> 3.
>
>I will take a look.

I had a look at this, but I am not sure how to implement what you suggest.

I could combine the 3rd and 4th paragraph, but I don¹t think that would
help much.

Also, some paragraphs may not even be needed in the Introduction, but
people asked them to be there, soŠ

Regards,

Christer